import React from 'react';
import ReactDOM from 'react-dom';
import {MorphTransition} from 'react-svg-morph';
import {Motion, spring} from 'react-motion';
import TiBatteryLow from 'react-icons/lib/ti/battery-low';
import TiBatteryFull from 'react-icons/lib/ti/battery-full';


class Up extends React.Component {
    render() {
        return (<svg viewBox="0 0 207.813 47.167">
            <path fill="#E81850" d="M0-20v50.667c104.147,22,104.147,22,207.813,0V-20H0z"/>
        </svg>);
    }
}
class Down extends React.Component {
    render() {
        return (<svg viewBox="0 0 207.813 47.167">
            <path fill="#E81850" d="M0,0v30.667c103.907-38,103.907-38,207.813,0V0H0z"/>
        </svg>);
    }
}

class App extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            checked: false
        };
    }
    render() {
        return (
            <div style={{width: 960, margin: "40px auto"}}>
                <Motion defaultStyle={{x: 0}} style={{x: spring(100, [200, 17])}}>
                    {value =>
                    <MorphTransition rotation={"none"} width={400} height={400}  progress={value.x}>{{
                        from: <Up key={1}/>,
                        to: <Down key={2}/>,
                    }}</MorphTransition>}
                </Motion>
            </div>
        );
    }
}

ReactDOM.render(<App />, document.getElementById('app'));
